//
//  MyDocument.h
//  YKQTKitCapture
//
//  Created by KOYAMA Yoshiaki on 05/09/08.
//  Copyright KOYAMA Yoshiaki 2005 . All rights reserved.
//


#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>

@interface MyDocument : NSDocument
{
	IBOutlet QTMovieView *_captureMovieView;
	IBOutlet id _imageButton;
	IBOutlet id _docWindow;
	IBOutlet id _timeDisplay;

    NSData *_data;
    NSString *_type;
	NSImage *_image;
	int _count;
}

- (IBAction)captureImage:(id)sender;
- (IBAction)saveImage:(id)sender;

- (IBAction)actuallySize:(id)sender;

- (void)savePaneltDidEnd:(NSSavePanel *)panel returnCode:(int)returnCode
    contextInfo:(void *)contextInfo;

-(void)installMovieIdleCallback;
-(void)removeMovieIdleCallback;
- (void)setTimeDisplay;

@end
